      ICOUNT = 0
   5  READ (5,222, END = 72) X,Y,Z
      WRITE (6,365) X ,Y,Z
      ICOUNT = ICOUNT + 1
  222 FORMAT(I5, i5 ,i5)
      GOTO 5
  72  WRITE (6, 91) ICOUNT
  91  FORMAT (1X, ' The number of values read is ', I10)
 365  FORMAT (1X,  ' X = ', I30)
      STOP
      END
